<template>
  <header class="box-shadow">
    <h1>Restaurant Reviews</h1>
    <div id="header-user" v-if="user.name">
      <label>{{ user.name }}</label>
      <label id="user-role-label" v-if="user.role != 'regular'">{{ user.role }}</label>
      <input type="button" class="create-button" value="Log out" v-on:click="logout()">
    </div>
  </header>
</template>

<script>
import { mapState } from 'vuex';
import store from '../store/index';

export default {
  computed: {
    ...mapState([
      'user',
    ]),
  },
  methods: {
    logout() {
      store.commit('logout');
      this.$emit('logout');
    },
  },
}
</script>

<style lang="scss">
header {
  background: #1f1f1f;
  padding: 20px;
  position: fixed;
  z-index: 10;
  width: 100%;
  box-sizing: border-box;
  color: white;
  display: flex;
  height: 80px;
  h1 {
    flex-grow: 1;
  }
  #header-user {
    flex-grow: 0;
    display: flex;
    label {
      line-height: 40px;
      margin-right: 30px;
    }
    #user-role-label {
      color: #4fd1a7;
    }
    input[type="button"] {
      margin: 0;
      width: 100px;
    }
  }
}
</style>
